For the complete documentation index, see llms.txt. This page is also available as Markdown.

Get token metadata

get
/v1/tokens/token_metadata
Query parameters
tokenstringRequired

Token address to lookup metadata for

Example: 0x2cd8999Be299373D7881f4aDD11510030ad1412F
Responses
200Success
application/json

MintInfo is the struct for token contract. One mint account represents one token.

black_liststring[]Required

A blacklist of token accounts

Example: 0x9E1E9688A44D058fF181Ed64ddFAFbBE5CC742Ab
bridge_mint_authoritiesstring[]Required

The authorities for bridge operations (minting from bridge). Maximum of 5 authorities.

Example: 0x9E1E9688A44D058fF181Ed64ddFAFbBE5CC742Ab
decimalsinteger · int32Required

Number of base 10 digits to the right of the decimal place.

Example: 18
is_pausedbooleanRequired

true if all transactions for this token are paused

Example: false
is_privatebooleanRequired

true if this token is private and only whitelisted addresses can operate with the tokens

Example: false
list_authoritiesstring[]Required

The authorities to blacklist/whitelist malicious accounts

Example: 0x9E1E9688A44D058fF181Ed64ddFAFbBE5CC742Ab
master_authoritystringRequired

master_authority used to create new tokens. The master_authority can be provided if and only if during token creation. If master_authority is EMPTY_ADDRESS, the token hasn't been initialized. When the token is initialized with master_authority, only the master_authority can grant other role authorities to others. And the master_authority serves as the identifier address for the token. All token account's mint field will be associated with the mint's master_authority.

Example: 0x9E1E9688A44D058fF181Ed64ddFAFbBE5CC742Ab
master_mint_burn_authoritystringRequired

The authority that can grant individual mint_burn_authorities. The master_mint_burn_authority is created by master_authority, which delegate the mint authority to other accounts.

Example: 0x9E1E9688A44D058fF181Ed64ddFAFbBE5CC742Ab
metadata_update_authoritiesstring[]Required

The authorities for updating the metadata. Maximum of 5 authorities.

Example: 0x9E1E9688A44D058fF181Ed64ddFAFbBE5CC742Ab
pause_authoritiesstring[]Required

The authorities to pause/unpause token transactions. Maximum of 5 authorities.

Example: 0x9E1E9688A44D058fF181Ed64ddFAFbBE5CC742Ab
supplystringRequired

Total supply of tokens.

Example: 1500000000
symbolstringRequired

The symbol of the token. Created during token creation and cannot be changed.

Example: USD1
white_liststring[]Required

A whitelist of token accounts. Only used if the token is private

Example: 0x9E1E9688A44D058fF181Ed64ddFAFbBE5CC742Ab
get/v1/tokens/token_metadata
GET /v1/tokens/token_metadata?token=text HTTP/1.1
Host: api.testnet.1money.network
Accept: */*
{
  "black_list": [
    "0x9E1E9688A44D058fF181Ed64ddFAFbBE5CC742Ab"
  ],
  "bridge_mint_authorities": [
    "0x9E1E9688A44D058fF181Ed64ddFAFbBE5CC742Ab"
  ],
  "decimals": 18,
  "is_paused": false,
  "is_private": false,
  "list_authorities": [
    "0x9E1E9688A44D058fF181Ed64ddFAFbBE5CC742Ab"
  ],
  "master_authority": "0x9E1E9688A44D058fF181Ed64ddFAFbBE5CC742Ab",
  "master_mint_burn_authority": "0x9E1E9688A44D058fF181Ed64ddFAFbBE5CC742Ab",
  "meta": {
    "additional_metadata": [
      {
        "key": "owner",
        "value": "1Money"
      }
    ],
    "name": "1Money Stable coin",
    "uri": "https://www.1moneynetwork.com/usdx.json"
  },
  "metadata_update_authorities": [
    "0x9E1E9688A44D058fF181Ed64ddFAFbBE5CC742Ab"
  ],
  "mint_burn_authorities": [
    {
      "allowance": "1500000000",
      "minter": "0x9E1E9688A44D058fF181Ed64ddFAFbBE5CC742Ab"
    }
  ],
  "pause_authorities": [
    "0x9E1E9688A44D058fF181Ed64ddFAFbBE5CC742Ab"
  ],
  "supply": "1500000000",
  "symbol": "USD1",
  "white_list": [
    "0x9E1E9688A44D058fF181Ed64ddFAFbBE5CC742Ab"
  ]
}

Last updated